# Generated by Django 4.1.3 on 2022-11-20 22:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(max_length=11, verbose_name='Номер телефона')),
                ('tag', models.CharField(max_length=255, verbose_name='Метка')),
                ('time_zone', models.CharField(default='Europe/Moscow', max_length=255, verbose_name='Часовой пояс')),
            ],
            options={
                'verbose_name': 'Клиент',
                'verbose_name_plural': 'Клиенты',
            },
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_datetime', models.DateTimeField(verbose_name='Время начала рассылки')),
                ('end_datetime', models.DateTimeField(verbose_name='Время окончания рассылки')),
                ('text', models.TextField(verbose_name='Текст сообщения')),
                ('client_filter', models.JSONField(verbose_name='Фильтр рассылки')),
            ],
            options={
                'verbose_name': 'Рассылка',
                'verbose_name_plural': 'Рассылки',
            },
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_datetime', models.DateTimeField(auto_now=True, verbose_name='Время отправки сообщения')),
                ('status', models.CharField(choices=[('delivered', 'Сообщение доставлено'), ('deliver failed', 'Сообщение не доставлено'), ('waiting', 'Сообщение ожидает отправки')], max_length=100, verbose_name='Статус')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.client', verbose_name='Клиент')),
                ('notification', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.notification', verbose_name='Рассылка')),
            ],
            options={
                'verbose_name': 'Сообщение',
                'verbose_name_plural': 'Сообщения',
            },
        ),
    ]
